## drinkcounter 0.6.0-1

=== debian/changelog ===
drinkcounter (0.6.0-1) stable; urgency=low

  Fixed (large) icon.

 -- Andreas Weidlinger <andreas.weidlinger@gmail.com>  Thu, 15 Apr 2010 03:50:08 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/drinkcounter" install
	mkdir -p "$(CURDIR)/debian/drinkcounter"

#	mkdir -p "$(CURDIR)/debian/drinkcounter/usr/share/icons/hicolor/48x48/hildon/"
	cp -a "src/usr/share/icons/hicolor/48x48/hildon/drinkCounter.png" "$(CURDIR)/debian/drinkcounter/usr/share/icons/hicolor/48x48/hildon/drinkCounter.png"
	mkdir -p "$(CURDIR)/debian/drinkcounter/usr/share/dbus-1/services/"
	cp -a "src/usr/share/dbus-1/services/drinkCounter.service" "$(CURDIR)/debian/drinkcounter/usr/share/dbus-1/services/drinkCounter.service"
	mkdir -p "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/"
	cp -a "src/opt/drinkCounter/drinkCounter" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkCounter"
	mkdir -p "$(CURDIR)/debian/drinkcounter/usr/share/applications/hildon/"
	cp -a "src/usr/share/applications/hildon/drinkCounter.desktop" "$(CURDIR)/debian/drinkcounter/usr/share/applications/hildon/drinkCounter.desktop"
	mkdir -p "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/"
	cp -a "src/opt/drinkCounter/drinkImages/bigbeer.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/bigbeer.png"
	mkdir -p "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/"
	cp -a "src/opt/drinkCounter/drinkImages/black.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/black.png"
	mkdir -p "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/"
	cp -a "src/opt/drinkCounter/drinkImages/coctail.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/coctail.png"
	mkdir -p "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/"
	cp -a "src/opt/drinkCounter/drinkImages/littlebeer.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/littlebeer.png"
	mkdir -p "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/"
	cp -a "src/opt/drinkCounter/drinkImages/orange.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/orange.png"
	mkdir -p "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/"
	cp -a "src/opt/drinkCounter/drinkImages/red.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/red.png"
	mkdir -p "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/"
	cp -a "src/opt/drinkCounter/drinkImages/redwine.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/redwine.png"
	mkdir -p "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/"
	cp -a "src/opt/drinkCounter/drinkImages/white.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/white.png"
	mkdir -p "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/"
	cp -a "src/opt/drinkCounter/drinkImages/wine.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/wine.png"
	mkdir -p "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/"
	cp -a "src/opt/drinkCounter/drinkImages/yellow.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/yellow.png"
	mkdir -p "$(CURDIR)/debian/drinkcounter/usr/share/icons/hicolor/scalable/hildon/"
	cp -a "src/usr/share/icons/hicolor/scalable/hildon/drinkCounter.png" "$(CURDIR)/debian/drinkcounter/usr/share/icons/hicolor/scalable/hildon/drinkCounter.png"

	# ======================================================

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## drinkcounter 0.6.2-6

=== src/Makefile ===
#############################################################################
# Makefile for building: drinkCounter
# Generated by qmake (2.01a) (Qt 4.5.3) on: Thu Apr 15 04:47:55 2010
# Project:  drinkCounter.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile drinkCounter.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2 -I. -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		drinkcounter.cpp \
		settings.cpp \
		alcohol.cpp \
		diagram.cpp \
		newdrink.cpp moc_drinkcounter.cpp \
		moc_settings.cpp \
		moc_diagram.cpp \
		moc_newdrink.cpp \
		qrc_resources.cpp
OBJECTS       = main.o \
		drinkcounter.o \
		settings.o \
		alcohol.o \
		diagram.o \
		newdrink.o \
		moc_drinkcounter.o \
		moc_settings.o \
		moc_diagram.o \
		moc_newdrink.o \
		qrc_resources.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		drinkCounter.pro
QMAKE_TARGET  = drinkCounter
DESTDIR       = 
TARGET        = drinkCounter

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_drinkcounter.h ui_settings.h ui_diagram.h ui_newdrink.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: drinkCounter.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile drinkCounter.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile drinkCounter.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/drinkCounter1.0.0 || $(MKDIR) .tmp/drinkCounter1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/drinkCounter1.0.0/ && $(COPY_FILE) --parents drinkcounter.h settings.h alcohol.h diagram.h newdrink.h .tmp/drinkCounter1.0.0/ && $(COPY_FILE) --parents resources.qrc .tmp/drinkCounter1.0.0/ && $(COPY_FILE) --parents main.cpp drinkcounter.cpp settings.cpp alcohol.cpp diagram.cpp newdrink.cpp .tmp/drinkCounter1.0.0/ && $(COPY_FILE) --parents drinkcounter.ui settings.ui diagram.ui newdrink.ui .tmp/drinkCounter1.0.0/ && (cd `dirname .tmp/drinkCounter1.0.0` && $(TAR) drinkCounter1.0.0.tar drinkCounter1.0.0 && $(COMPRESS) drinkCounter1.0.0.tar) && $(MOVE) `dirname .tmp/drinkCounter1.0.0`/drinkCounter1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/drinkCounter1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_drinkcounter.cpp moc_settings.cpp moc_diagram.cpp moc_newdrink.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_drinkcounter.cpp moc_settings.cpp moc_diagram.cpp moc_newdrink.cpp
moc_drinkcounter.cpp: alcohol.h \
		drinkcounter.h
	/usr/bin/moc $(DEFINES) $(INCPATH) drinkcounter.h -o moc_drinkcounter.cpp

moc_settings.cpp: drinkcounter.h \
		alcohol.h \
		settings.h
	/usr/bin/moc $(DEFINES) $(INCPATH) settings.h -o moc_settings.cpp

moc_diagram.cpp: alcohol.h \
		diagram.h
	/usr/bin/moc $(DEFINES) $(INCPATH) diagram.h -o moc_diagram.cpp

moc_newdrink.cpp: alcohol.h \
		newdrink.h
	/usr/bin/moc $(DEFINES) $(INCPATH) newdrink.h -o moc_newdrink.cpp

compiler_rcc_make_all: qrc_resources.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_resources.cpp
qrc_resources.cpp: resources.qrc \
		images/trash.png \
		images/icon.ico \
		images/bg.png
	/usr/bin/rcc -name resources resources.qrc -o qrc_resources.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_drinkcounter.h ui_settings.h ui_diagram.h ui_newdrink.h
compiler_uic_clean:
	-$(DEL_FILE) ui_drinkcounter.h ui_settings.h ui_diagram.h ui_newdrink.h
ui_drinkcounter.h: drinkcounter.ui
	/usr/bin/uic drinkcounter.ui -o ui_drinkcounter.h

ui_settings.h: settings.ui
	/usr/bin/uic settings.ui -o ui_settings.h

ui_diagram.h: diagram.ui
	/usr/bin/uic diagram.ui -o ui_diagram.h

ui_newdrink.h: newdrink.ui
	/usr/bin/uic newdrink.ui -o ui_newdrink.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

main.o: main.cpp drinkcounter.h \
		alcohol.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

drinkcounter.o: drinkcounter.cpp drinkcounter.h \
		alcohol.h \
		ui_drinkcounter.h \
		settings.h \
		diagram.h \
		newdrink.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o drinkcounter.o drinkcounter.cpp

settings.o: settings.cpp settings.h \
		drinkcounter.h \
		alcohol.h \
		ui_settings.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o settings.o settings.cpp

alcohol.o: alcohol.cpp alcohol.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o alcohol.o alcohol.cpp

diagram.o: diagram.cpp diagram.h \
		alcohol.h \
		ui_diagram.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o diagram.o diagram.cpp

newdrink.o: newdrink.cpp newdrink.h \
		alcohol.h \
		ui_newdrink.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o newdrink.o newdrink.cpp

moc_drinkcounter.o: moc_drinkcounter.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_drinkcounter.o moc_drinkcounter.cpp

moc_settings.o: moc_settings.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_settings.o moc_settings.cpp

moc_diagram.o: moc_diagram.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_diagram.o moc_diagram.cpp

moc_newdrink.o: moc_newdrink.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_newdrink.o moc_newdrink.cpp

qrc_resources.o: qrc_resources.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_resources.o qrc_resources.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

## drinkcounter 0.6.0-2

=== debian/changelog ===
drinkcounter (0.6.0-2) stable; urgency=low

  Fixed (large) icon.

 -- Andreas Weidlinger <andreas.weidlinger@gmail.com>  Thu, 15 Apr 2010 04:10:36 +0000

=== debian/control ===
Source: drinkcounter
Section: user/utilities
Priority: extra
Maintainer: Andreas Weidlinger <andreas.weidlinger@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: drinkcounter
Architecture: armel
Depends: libqt4-core, libqt4-gui, libstdc++6
Description: Count how many drinks do you have and calculate how many alcohol is in your blood.
 Dont trust this value, its estimated...but maybe this software helps you with payment if you dont remember ;)
XSBC-Bugtracker: http://bugs.maemo.org
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oECBc0Dgq+cMMAAA7TSURBVGje
 1Zp5sKVFdcB/3d9673fXt9158+bNwqwwwyygaBhlEQRKQCImRo2JVky0VLRiEqNWWSZqWaEqoSoV
 k1CmTDQKfwimRCS4xSjCiICyDQPMPm/mbfPeu+/u397d+YOYSgwI+hhMzp9fna7z/fqc0336dMP/
 cxHPp/Ch37++cuR4a/yP3vMuE9QaVIoVChW7Zil9hR34R12Tn220rcBCOhAO1H+OVPhlGx0qsbQ0
 +4gorj+gZSajbp9+krB8ZJqmk9h2uXTobW/5zfyXBbCfT2HruonXnQ6Dz2WilBTLRaQSaGNZtl+s
 Eqskc10vTnMQGieDXIBOQHowWM4JTQp+LdJ0QxFbQhuD6Q0QFUkQymoxEuuB6TMGsLB4wr3m4muC
 PE8DkWUo10fm2mgTk0hcYkAKnAwSaUgSg+cIoijFYAAHR4hCbrSvJcKXkA6VKSzB0sJBWtFTciUh
 9LwAM3NT7N1bYHxiDZZjk+QhnhOIXEryKBE6zxC2JlKGwPZxfYcsyvF8H8/xwbMQuUHpXGSJpqc0
 rgJjNIXKMOVKhTMK0NdVVFTg4NQBVlUnsANDqVSExBCGLQb9kFK5Rhi2EJUhbOPjCIVjHLTrUC95
 CDdAKNCuIT90ijw3uEUPuj5BZeTMAuzctoPFNKRu24yMBiRpStwbINCkicHCBplCboFwAEMiJLiS
 oUIRe6iCivoYt4CIFFgSQ4yOMvI0QkcriiCed3SzGWFZgtWr1xLGEZlOyfMBti0wWUhQ8kj6CdVK
 iWrRpRr4eJ4kIMWyY3TYQxgHadtYBcPE+nEmJ9ejHIsw7uCUCmfWA/XxCabn5ij4ymxaPS5GJjYS
 Djoo3Ucp6DWXmG92WbOhQZA5uG4JB4nlV1GDGJOlWIUyUhuaC23CThfX8eh3ujTGGuRpemYBvPrm
 eEutT2NsRExs3MADDz/Arj2vIO75nL29zsmTi6zxA+zcojcwdOMejnCZXziG5ToIabEw+xDn7t7N
 0uwSUhhuv+8eyrZkrDGOLfSZBfjAB95x2ze+9IUvD48Nm6BWEQ88/DAXX/gqZpsLHDx4CG1pLAHS
 KTJ76jAq12R5jFAS2/dp9TqMVAvs+/YhykN1ustN1pZLtDpN4p6PXzzDAAAOy/RO7BctO2bPjl1k
 aYgdnqDkDmh1B3TDAdXhCaJ+E5n06UcxAFpaxGGfU01BUPCYaR5HafCKNQaJwup4eMpXZxygvTBg
 544dlGyDG8XE7XnmFtpUfU2t4mKSNkl7CjNo0Y5iLDRx3EdpjTbguD6D5XlCXGwhOLU4w+TwKIut
 OYQ6cPX00/NfO3z82MayL9dmWURm3JmLrtx774tSCwF88UOXmHPPGqY8vJZCqUaeRcS9eRZOxxQq
 FnE7IrcCsniZsBviMiDJJMJAJhW+o7ASTewqAg/6gyJZNmD/sqvfeu2lsrjtPToMO9IoQxjFhJ0e
 fZXefPWbrnvviwJw1ye2mfXpUfySgyo0WFVcwoQxMTY1aVjuQXnYJlcKlSiEtHAcg0ghLdmgU7zA
 xSt7LDRt+rrIQ/vmzFJhTFz+pr813UFF+AWfJE1N0unTTRKyfi6cwN33+rdf96oV7QMAqyqjKN+m
 5OdMWnMUtpyPd/FvUN++BbNhJ8GenVj9AY5QlKRB6hQRZdi2Yu6oIXANQa65+ZaI79zZYjhQvPry
 1Xz6to6ZXs7F+KoSga86WumpWOVT/V6r01Jd+mFv7223fPvTKwaInQYFz6AyZXKRE/UyTKgxxbXI
 kQnEzAyDTJJHmkg7zM/AfBNaXcG6yQQyQ5RJrnx5woe/Bd/91gKL0yl796wRj3/9I61H9t1xy93L
 o6/de/UlG6566+s3DJrtt0bdOG52uyRRq3zvLY/KFSXxl37Q54Zfm9CjlUzKAKz5p1BTP8JxNUoJ
 rNBC2Da2p3G9mE3bBDqXCEeTAaltUSblO48WeN9Vks2NHjN6j9D6KNNq7WtW7/rUgQ9eLLL/WjS2
 X3SgdOLRnkpTv73UGj5cftwC9C+dA5+84ZoL087svmvOWTC7N/tCZhod9jG+whQlTp6QJQ4WMcIA
 7RhVsbELDs98cJnJilQLCZ2pAGtsA48fTFhi1Uff/omv3vhsNj97418cykx9c7FWxwnq637nd684
 +Ut7YFt1cebQYgfRb4psMUe4AbY7gjYLiF5G1gGVRYiaQ56DIxykNJhEgcnpDGJWrS4ilh3shuGu
 e5/m1Hw/uqczOPCcsW0FAm0hsxgv6a4sBx460rKOLofkWmBlBkdmtJpLuLKIFeaILMWyNSLMOTmd
 IZQhVzn90zAzFSB0ifv+LcUdson6mrOGBeOTWpw9Kt3nsqmMi2ULbEfgOdnKACLjsTbQONUx/Ilx
 VHGc0cY6Fk8vYRyJcgRGGKTJ2dZQSFvhWAXKtZTJ9QOq1YzLrnT43t1zDNXggu0ek2su5LHTxZ+7
 vBQsG1fa6J/zmy8IwO71Gaq5+KZJMuhiwhZpOsVIrY5IDZYjsDxB5gniXGAwKJ2S5YI4gswRZL0+
 555XJgxDIhmT946xZ/K5K9FCEYwEYzvgBisDuPzqC8RrL9tB3F9tUhHgNcosTUVkeYxxwbUVHuBJ
 iW1pUC4Ihe1pTs/V8EyGzODUaQ+BIeoZtp/l88fX/pyZzUtox8GzJFVpVlYLrSnJJU+nj23Y3t1l
 yhOora9AnrwN1woxEpqLktkZg0GzaqRCqdElX7KJpcVZW9okqoyo2uzcajC+R8GtoLXAWKXnLuO9
 ELIALSSJFivzwE3/GsnHTnl+7q7FhB3Mg3cwXPPRfoCWNvVh2LzZcO5WGBnuYacuZc9w/FDO4oKN
 LQbIKENZglbP4b4DKeChxbMDvPr2hQpyuOAIC20XCYvDK/PAUBXCbssoFeOUJpHJDIlR+MrBCItE
 JLh5TOZaWAUbG4FKYPfFNirq0V62qDZ8DIJT0xHrNg5jVITrtp7V3h8sf3fcFGTBxjJWwRVJoSJX
 5AE/PU5nYLCKFfKoS5QWcNIcJXNSwNYOxvehaCETQZzk6ChF9QSuU0XLAgunYgYth2RZ8eNvTpHE
 Fe75Xu/Zw8fKjRtnCBBOf/kLZ0cz0ysCOLaYk7tjiNzCEDMYhOC6qDzDyjQmsxmEz1SiBolHjl3Q
 WCLFSEl9OGd00lAvx5x3vk9lbJzZzhLW+LpntZfn6S6FKApLglco749ca2UecGt0BhGdNESrAqGG
 XGvcTGK0wHZTPFHCV4AdIRBoYRBKYbspaJsslaSZZq5tsXa8h4XDE63ys+87+Htcx/KlazEQpeSr
 vbJZEcC733EDIzWPw4cUjp/R7UQoo0kKBmEDvsEpxihfgwNIg7IU0jdg3GdajNpDGYeluR4/fkIw
 rhPqlTX/y9bffPbWtZZKPhoDrsmNsooP/su7zk9XlMSPtDw5ueEsr334BEmzy+rRAm49xzqd0J8f
 YJXBKZZYnlN4lmLQt9EZ1Fe56P4ySSxQYsBiS9JqKXZvXcvRuaNm+67t0c/aKsbNNa62sPwCGK/1
 183g9hWfB97/e9c3Nw2Xv3LRZRXKWzZRGtacam7AWfNK9LpXEIxUEKmg00qJuoZ9hzPuvN/gIZmb
 SwjKFtWgQX0i4OCiw6YNPWbd8wr/+PXbb/jYZ+7/H9tsFqr32o6NL2G54Dz14LvOnl3xkRLgh198
 55+V/dE/Tw//Ezt3jGMXPT77maepBwPGfMHYmOScl/sk3Qwvz6AOt98pqJRcXnORBbaL0jm+rHLr
 PQm3PjlkfmunFhdsrOx9uLl+rgfLVX/tHaI0fkkQTJDp3LzxnW973gm2XyhAtNTiSAq7R7ag4iUW
 Zpe54pIAJWzszKYs+mRGoLRLUnQhhD3nGzatCmiHIcpYeI5FrvscZzPvuwohVFNHw1fuG7Is6lLk
 qbXWLpTq+K43MCy/7kXpjf5UAn8Mp/cky4OGyZaXKcgmq8csgsAwUtVUGh5Zz6BTG1uC1gUapZTc
 FjiBxVAg8MsFptoVjp6MzM41MZuufUiUChGHf/IVxtSMvWHzRhqN0UGh6l526Rt/+wcv5L+sFwpQ
 Hx89f+NQ7bXHFqfkxKjgeK/MhjGXgZQEYxphg+UaXMegQht/KOPkjCaeaTNUd/j+44qnnmwTZQ4/
 mdYcfmzaNDq3zC1Phd9i1c79shg8MTa8/cl/n3Fvvv4Nr77zRbsj+++63/yrN8/u2/9I46LJAbVC
 V6i8zsTOHEfbqFYfE6e4aYzpO3R8h+nFlPuflOyZgOOR4MqLJ1g87XCsnXLr/e0/ufu+hZtWesn3
 izTnzaUXjhxYbClxYDoWU/MFjp1KKPaKDI63OHVowNFjKXf+xOfeqZz9+0Pinsf29TlrJn2GCxmn
 Ty4xNLxkOn3JTW/e/cWX5JbyZ+WOT7/OxJ2OCTsnRK0oCfMYz+SYzEfFA0p2TKVi0xcBIn6mc2dJ
 m60bA54+2qNYHOae00XuXbhu9de+/Mm5l9ID/N0nLv/1pV4RtzQuGjWP0ZrHaLVEZmxcT2N7krxU
 om+qCNsidzXaUjQaNovTPeLSZu6NX2Zagxp/enUoXgwP2L+I8pqh895C2qOpSzhZRixizmkcZ8tY
 Ed1p0tIKz8upqQivlOEHI8x3HRbcV3J/z6VR7VJ2xsT6jcd5um3SlxzAUqp/94MPcOne602zMy2K
 Gy/jWOFKkjijvq1KNDjF6OjZzGjJ6bkjVIZX4w5JMmEx2nuCH97/oLnhWiVmB+ccuf79Ny29GAC/
 UAhd84c3vfPc1eXv1+SSiIxrpI4MToBXriGkQqkaOS5Ls8dR2qNcrIN0jFg+Ti1tm4smHfHYQTGz
 1LY+/JI9NfhZ+dE3Pz86WbK/M3Viale5Vqczd4Ajh48ytm4PwhHP9IcyCWnTtGePicy4ON2jup8r
 6Rdqj2zeuurjL3vvXXf9ygAAPv7BzzXecMH8net2vHxzddNeN5o7GNzxl+8GDQZhpJRCDdo4gcRG
 LXp+peR65cZVNz7HEeylBvipPP7Vf94hmndPLDXVBfOtnqP9oetcYe80nZMfMXHbHxqfcOODj97s
 bdPtKz423/8///Tl839/Y+0b//CptS+lzf8AOH8yq1hz2S4AAAAASUVORK5CYII=

=== debian/rules ===
--- 
+++ 
@@ -52,6 +52,8 @@
 	cp -a "src/usr/share/dbus-1/services/drinkCounter.service" "$(CURDIR)/debian/drinkcounter/usr/share/dbus-1/services/drinkCounter.service"
 	mkdir -p "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/"
 	cp -a "src/opt/drinkCounter/drinkCounter" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkCounter"
+	mkdir -p "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/"
+	cp -a "src/opt/drinkCounter/drinks.txt" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinks.txt"
 	mkdir -p "$(CURDIR)/debian/drinkcounter/usr/share/applications/hildon/"
 	cp -a "src/usr/share/applications/hildon/drinkCounter.desktop" "$(CURDIR)/debian/drinkcounter/usr/share/applications/hildon/drinkCounter.desktop"
 	mkdir -p "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/"

## drinkcounter 0.6.1-1

=== debian/changelog ===
drinkcounter (0.6.1-1) stable; urgency=low

  Fixed (large) icon.

 -- Andreas Weidlinger <andreas.weidlinger@gmail.com>  Thu, 15 Apr 2010 04:52:06 +0000

## drinkcounter 0.6.1-2

=== debian/changelog ===
drinkcounter (0.6.1-2) stable; urgency=low

  Fixed (large) icon.

 -- Andreas Weidlinger <andreas.weidlinger@gmail.com>  Thu, 15 Apr 2010 14:44:04 +0000

## drinkcounter 0.6.2-1

=== debian/changelog ===
drinkcounter (0.6.2-1) stable; urgency=low

  Fixed bugs,added car-drive estimation.

 -- Andreas Weidlinger <andreas.weidlinger@gmail.com>  Fri, 17 Sep 2010 14:12:21 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Standards-Version: 3.7.2
 
 Package: drinkcounter
-Architecture: armel
-Depends: libqt4-core, libqt4-gui, libstdc++6
+Architecture: all
+Depends: 
 Description: Count how many drinks do you have and calculate how many alcohol is in your blood.
  Dont trust this value, its estimated...but maybe this software helps you with payment if you dont remember ;)
 XSBC-Bugtracker: http://bugs.maemo.org

=== debian/rules ===
--- 
+++ 
@@ -46,17 +46,7 @@
 	#$(MAKE) DESTDIR="$(CURDIR)/debian/drinkcounter" install
 	mkdir -p "$(CURDIR)/debian/drinkcounter"
 
-#	mkdir -p "$(CURDIR)/debian/drinkcounter/usr/share/icons/hicolor/48x48/hildon/"
-	cp -a "src/usr/share/icons/hicolor/48x48/hildon/drinkCounter.png" "$(CURDIR)/debian/drinkcounter/usr/share/icons/hicolor/48x48/hildon/drinkCounter.png"
-	mkdir -p "$(CURDIR)/debian/drinkcounter/usr/share/dbus-1/services/"
-	cp -a "src/usr/share/dbus-1/services/drinkCounter.service" "$(CURDIR)/debian/drinkcounter/usr/share/dbus-1/services/drinkCounter.service"
-	mkdir -p "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/"
-	cp -a "src/opt/drinkCounter/drinkCounter" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkCounter"
-	mkdir -p "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/"
-	cp -a "src/opt/drinkCounter/drinks.txt" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinks.txt"
-	mkdir -p "$(CURDIR)/debian/drinkcounter/usr/share/applications/hildon/"
-	cp -a "src/usr/share/applications/hildon/drinkCounter.desktop" "$(CURDIR)/debian/drinkcounter/usr/share/applications/hildon/drinkCounter.desktop"
-	mkdir -p "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/"
+#	mkdir -p "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/"
 	cp -a "src/opt/drinkCounter/drinkImages/bigbeer.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/bigbeer.png"
 	mkdir -p "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/"
 	cp -a "src/opt/drinkCounter/drinkImages/black.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/black.png"
@@ -78,6 +68,12 @@
 	cp -a "src/opt/drinkCounter/drinkImages/yellow.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/yellow.png"
 	mkdir -p "$(CURDIR)/debian/drinkcounter/usr/share/icons/hicolor/scalable/hildon/"
 	cp -a "src/usr/share/icons/hicolor/scalable/hildon/drinkCounter.png" "$(CURDIR)/debian/drinkcounter/usr/share/icons/hicolor/scalable/hildon/drinkCounter.png"
+	mkdir -p "$(CURDIR)/debian/drinkcounter/usr/share/icons/hicolor/48x48/hildon/"
+	cp -a "src/usr/share/icons/hicolor/48x48/hildon/drinkCounter.png" "$(CURDIR)/debian/drinkcounter/usr/share/icons/hicolor/48x48/hildon/drinkCounter.png"
+	mkdir -p "$(CURDIR)/debian/drinkcounter/usr/share/applications/hildon/"
+	cp -a "src/usr/share/applications/hildon/drinkCounter.desktop" "$(CURDIR)/debian/drinkcounter/usr/share/applications/hildon/drinkCounter.desktop"
+	mkdir -p "$(CURDIR)/debian/drinkcounter/usr/share/dbus-1/services/"
+	cp -a "src/usr/share/dbus-1/services/drinkCounter.service" "$(CURDIR)/debian/drinkcounter/usr/share/dbus-1/services/drinkCounter.service"
 
 	# ======================================================

## drinkcounter 0.6.2-5

=== debian/changelog ===
drinkcounter (0.6.2-5) stable; urgency=low

  Fixed bugs,added car-drive estimation.

 -- Andreas Weidlinger <andreas.weidlinger@gmail.com>  Fri, 17 Sep 2010 15:38:10 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## drinkcounter 0.6.2-6

=== debian/changelog ===
drinkcounter (0.6.2-6) stable; urgency=low

  Fixed bugs,added car-drive estimation.

 -- Andreas Weidlinger <andreas.weidlinger@gmail.com>  Fri, 17 Sep 2010 15:38:10 +0000

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: user/utilities
 Priority: extra
 Maintainer: Andreas Weidlinger <andreas.weidlinger@gmail.com>
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 5), libqt4-dev, autotools-dev, libhildon1 (>= 2.2)
 Standards-Version: 3.7.2
 
 Package: drinkcounter
-Architecture: all
-Depends: 
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Count how many drinks do you have and calculate how many alcohol is in your blood.
  Dont trust this value, its estimated...but maybe this software helps you with payment if you dont remember ;)
+XSBC-Maemo-Display-Name: DrinkCounter
 XSBC-Bugtracker: http://bugs.maemo.org
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A

=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,42 @@
 	dh_clean -k
 	dh_installdirs
 
+	# ======================================================
+	#$(MAKE) DESTDIR="$(CURDIR)/debian/drinkcounter" install
+	mkdir -p "$(CURDIR)/debian/drinkcounter"
+
+	mkdir -p "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/"
+	#cp -a "src/drinkCounter" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkCounter"
+
+	mkdir -p "$(CURDIR)/debian/drinkcounter/usr/share/icons/hicolor/26x26/hildon/"
+	cp -a "src/data/26x26/drinkCounter.png" "$(CURDIR)/debian/drinkcounter/usr/share/icons/hicolor/26x26/hildon/drinkCounter.png"
+
+	mkdir -p "$(CURDIR)/debian/drinkcounter/usr/share/icons/hicolor/40x40/hildon/"
+	cp -a "src/data/40x40/drinkCounter.png" "$(CURDIR)/debian/drinkcounter/usr/share/icons/hicolor/40x40/hildon/drinkCounter.png"
+
+	mkdir -p "$(CURDIR)/debian/drinkcounter/usr/share/icons/hicolor/48x48/hildon/"
+	cp -a "src/data/48x48/drinkCounter.png" "$(CURDIR)/debian/drinkcounter/usr/share/icons/hicolor/48x48/hildon/drinkCounter.png"
+
+	mkdir -p "$(CURDIR)/debian/drinkcounter/usr/share/icons/hicolor/64x64/hildon/"
+	cp -a "src/data/64x64/drinkCounter.png" "$(CURDIR)/debian/drinkcounter/usr/share/icons/hicolor/64x64/hildon/drinkCounter.png"
+
+	mkdir -p "$(CURDIR)/debian/drinkcounter/usr/share/applications/hildon/"
+	cp -a "src/drinkCounter.desktop" "$(CURDIR)/debian/drinkcounter/usr/share/applications/hildon/drinkCounter.desktop"
+
+	mkdir -p "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/"
+	cp -a "src/drinkImages/bigbeer.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/bigbeer.png"
+	cp -a "src/drinkImages/black.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/black.png"
+	cp -a "src/drinkImages/coctail.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/coctail.png"
+	cp -a "src/drinkImages/littlebeer.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/littlebeer.png"
+	cp -a "src/drinkImages/orange.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/orange.png"
+	cp -a "src/drinkImages/red.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/red.png"
+	cp -a "src/drinkImages/redwine.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/redwine.png"
+	cp -a "src/drinkImages/white.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/white.png"
+	cp -a "src/drinkImages/wine.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/wine.png"
+	cp -a "src/drinkImages/yellow.png" "$(CURDIR)/debian/drinkcounter/opt/drinkCounter/drinkImages/yellow.png"
+
+	# ======================================================
+
 # Build architecture-independent files here.
 binary-indep: build install
 # We have nothing to do by default.

## drinkcounter 0.6.2-8

=== Makefile ===
#############################################################################
# Makefile for building: drinkCounter
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Sep 17 22:41:52 2010
# Project:  drinkCounter.pro
# Template: subdirs
# Command: /usr/bin/qmake-qt4 -unix -o Makefile drinkCounter.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake-qt4
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/andi/drinkcounter-0.6.2/src/src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/andi/drinkcounter-0.6.2/src/src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: drinkCounter.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile drinkCounter.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile drinkCounter.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
--- 
+++ 
@@ -1,36 +1,37 @@
 #############################################################################
 # Makefile for building: drinkCounter
-# Generated by qmake (2.01a) (Qt 4.5.3) on: Thu Apr 15 04:47:55 2010
-# Project:  drinkCounter.pro
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Sep 17 22:39:10 2010
+# Project:  src.pro
 # Template: app
-# Command: /usr/bin/qmake -unix -o Makefile drinkCounter.pro
+# Command: /usr/bin/qmake-qt4 -unix -o Makefile src.pro
 #############################################################################
 
 ####### Compiler, tools and options
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
-CFLAGS        = -pipe -O3 -g -Wall -W -D_REENTRANT $(DEFINES)
-CXXFLAGS      = -pipe -O3 -g -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2 -I. -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/qt4 -I. -I.
+DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
+CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
+CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
+INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I. -I.
 LINK          = g++
-LFLAGS        = -Wl,-O1
-LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtGui -lQtCore -lpthread
+LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
+LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
-QMAKE         = /usr/bin/qmake
+QMAKE         = /usr/bin/qmake-qt4
 TAR           = tar -cf
 COMPRESS      = gzip -9f
 COPY          = cp -f
 SED           = sed
 COPY_FILE     = $(COPY)
 COPY_DIR      = $(COPY) -r
+STRIP         = strip
 INSTALL_FILE  = install -m 644 -p
 INSTALL_DIR   = $(COPY_DIR)
 INSTALL_PROGRAM = install -m 755 -p
 DEL_FILE      = rm -f
-SYMLINK       = ln -sf
+SYMLINK       = ln -f -s
 DEL_DIR       = rmdir
 MOVE          = mv -f
 CHK_DIR_EXISTS= test -d
@@ -63,8 +64,7 @@
 		moc_diagram.o \
 		moc_newdrink.o \
 		qrc_resources.o
-DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
-		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
+DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
@@ -82,7 +82,7 @@
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
-		drinkCounter.pro
+		src.pro
 QMAKE_TARGET  = drinkCounter
 DESTDIR       = 
 TARGET        = drinkCounter
@@ -114,8 +114,7 @@
 $(TARGET): ui_drinkcounter.h ui_settings.h ui_diagram.h ui_newdrink.h $(OBJECTS)  
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
-Makefile: drinkCounter.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
-		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
+Makefile: src.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
@@ -135,8 +134,7 @@
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
 		/usr/lib/libQtGui.prl \
 		/usr/lib/libQtCore.prl
-	$(QMAKE) -unix -o Makefile drinkCounter.pro
-/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
+	$(QMAKE) -unix -o Makefile src.pro
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
@@ -158,7 +156,7 @@
 /usr/lib/libQtGui.prl:
 /usr/lib/libQtCore.prl:
 qmake:  FORCE
-	@$(QMAKE) -unix -o Makefile drinkCounter.pro
+	@$(QMAKE) -unix -o Makefile src.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/drinkCounter1.0.0 || $(MKDIR) .tmp/drinkCounter1.0.0 
@@ -206,8 +204,11 @@
 	-$(DEL_FILE) qrc_resources.cpp
 qrc_resources.cpp: resources.qrc \
 		images/trash.png \
+		images/bg.jpg \
 		images/icon.ico \
-		images/bg.png
+		images/edit.png \
+		images/bg.png \
+		images/money.jpg
 	/usr/bin/rcc -name resources resources.qrc -o qrc_resources.cpp
 
 compiler_image_collection_make_all: qmake_image_collection.cpp
@@ -288,9 +289,15 @@
 
 ####### Install
 
-install:   FORCE
-
-uninstall:   FORCE
-
-FORCE:
-
+install_target: first FORCE
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/drinkCounter/ || $(MKDIR) $(INSTALL_ROOT)/opt/drinkCounter/ 
+	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/opt/drinkCounter/$(QMAKE_TARGET)"
+	-$(STRIP) "$(INSTALL_ROOT)/opt/drinkCounter/$(QMAKE_TARGET)"
+
+uninstall_target:  FORCE
+	-$(DEL_FILE) "$(INSTALL_ROOT)/opt/drinkCounter/$(QMAKE_TARGET)"
+	-$(DEL_DIR) $(INSTALL_ROOT)/opt/drinkCounter/ 
+
+
+install_desktop: first FORCE
+	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/

=== debian/changelog ===
drinkcounter (0.6.2-8) stable; urgency=low

  Fixed bugs,added car-drive estimation. Package now online again, i hope.

 -- Andreas Weidlinger <andreas.weidlinger@gmail.com>  Fri, 17 Sep 2010 15:38:10 +0000

## drinkcounter 0.8.1-1

=== debian/changelog ===
drinkcounter (0.8.1-1) stable; urgency=low

  Added features

 -- Andreas Weidlinger <andreas.weidlinger@gmail.com>  Fri, 17 Sep 2010 15:38:10 +0000
